<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Class Hierarchy</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="inherits.html">Go to the graphical class hierarchy</a></p>
This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a></td><td class="desc">An argument in the syntax tree </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="desc">A class in the syntax tree </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" target="_self">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="desc">Generates CodeFiles from the xAPI definitions </td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html" target="_self">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a></td><td class="desc">Generates C# code files from the xAPI definitions </td></tr>
<tr id="row_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html" target="_self">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a></td><td class="desc">Generates <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> code files from the xAPI definitions </td></tr>
<tr id="row_2_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html" target="_self">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></td><td class="desc">Generates <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> code files from the xAPI definitions </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" target="_self">xAPI_Definitions_Parser.Code.CompilationArguments</a></td><td class="desc">Contains arguments for the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method </td></tr>
<tr id="row_3_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html" target="_self">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments</a></td><td class="desc">Contains arguments for the CSharpCodeGenerator's compile method </td></tr>
<tr id="row_3_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_arguments.html" target="_self">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptCompilationArguments</a></td><td class="desc">Contains arguments for the JavaScriptCodeGenerator's compile method </td></tr>
<tr id="row_3_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html" target="_self">xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments</a></td><td class="desc">Contains arguments for the PythonCodeGenerator's compile method </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_4_" class="arrow" onclick="toggleFolder('4_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html" target="_self">xAPI_Definitions_Parser.Code.CompilationResult</a></td><td class="desc">Contains the result of the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method </td></tr>
<tr id="row_4_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html" target="_self">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_4_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_result.html" target="_self">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_4_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_result.html" target="_self">xAPI_Definitions_Parser.Code.Python.PythonCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a></td><td class="desc">A constructor in the syntax tree </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" target="_self">xAPI_Definitions_Parser.IO.Context</a></td><td class="desc">Class that represents a context of xAPI definitions </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" target="_self">xAPI_Definitions_Parser.IO.FileMeta</a></td><td class="desc">Struct that represents a file or directory </td></tr>
<tr id="row_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="desc">A property in the syntax tree with a getter </td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Getter</a></td><td class="desc">A getter in the syntax tree </td></tr>
<tr id="row_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Import</a></td><td class="desc">An import of the syntax tree </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_11_" class="arrow" onclick="toggleFolder('11_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" target="_self">xAPI_Definitions_Parser.IO.IOManager</a></td><td class="desc">Manages the read and write operations of a source type </td></tr>
<tr id="row_11_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html" target="_self">xAPI_Definitions_Parser.IO.FileManager</a></td><td class="desc">Manages the read and write operations of local files </td></tr>
<tr id="row_11_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html" target="_self">xAPI_Definitions_Parser.IO.GitLabManager</a></td><td class="desc">Manages the read and write operations of GitLab files </td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></td><td class="desc">A method in the syntax tree </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody</a></td><td class="desc">A method body in the syntax tree </td></tr>
<tr id="row_14_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Null</a></td><td class="desc">A null object in the syntax tree </td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="desc">A parameter in the syntax tree </td></tr>
<tr id="row_16_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></td><td class="desc">A property in the syntax tree </td></tr>
<tr id="row_17_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></td><td class="desc"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" title="Root of the syntax tree">Root</a> of the syntax tree </td></tr>
<tr id="row_18_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTree.Statement</a></td><td class="desc">A statement in a method </td></tr>
<tr id="row_19_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_19_" class="arrow" onclick="toggleFolder('19_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" target="_self">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="desc">Serializes source code out of a syntax tree </td></tr>
<tr id="row_19_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html" target="_self">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="desc">Serializes C# source code out of a syntax tree </td></tr>
<tr id="row_19_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html" target="_self">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a></td><td class="desc">Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> source code out of a syntax tree </td></tr>
<tr id="row_19_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html" target="_self">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a></td><td class="desc">Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> source code out of a syntax tree </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIContext</a></td><td class="desc">An xAPI context </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_21_" class="arrow" onclick="toggleFolder('21_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></td><td class="desc">Class that represents an xAPI definition </td></tr>
<tr id="row_21_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIActivity</a></td><td class="desc">Class that represents an xAPI activity </td></tr>
<tr id="row_21_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIExtension</a></td><td class="desc">Class that represents an xAPI extension </td></tr>
<tr id="row_21_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIVerb</a></td><td class="desc">Class that represents an xAPI verb </td></tr>
<tr id="row_22_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html" target="_self">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a></td><td class="desc">List of <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a> objects </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
